For the complete documentation index, see llms.txt. This page is also available as Markdown.

Prefetch

Prefetch

post

Creates a Prefetch job to warm CDN cache for one or more paths.

This endpoint is available for Small, Large, VOD, and Dynamic (Aksela) resource types.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organization_uuidstringRequired

Organization UUID.

Example: ****-*****-****-****
resource_uuidstringRequired

Resource UUID.

Example: ****-*****-****-*****
Body
resource_uuidstringRequired

Resource UUID.

Example: ****-***-****-****-****
file_pathstring[] · min: 1Required

List of URI paths to prefetch (e.g., /img.jpg).

Example: ["/img.jpg"]
Responses
200

Prefetch job created successfully.

application/json
messagestringRequired

Result message.

Example: Your prefetch request has been created successfully.
opIDstringRequired

Operation/job identifier.

Example: 0b508058-9c8c-475a-b5e7-0bf9014423b2
statusbooleanRequired

Indicates whether the operation was accepted.

Example: true
post/api/v1/cdn/{organization_uuid}/job/{resource_uuid}/prefetch
POST /api/v1/cdn/{organization_uuid}/job/{resource_uuid}/prefetch HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 68

{
  "resource_uuid": "****-***-****-****-****",
  "file_path": [
    "/img.jpg"
  ]
}
{
  "message": "Your prefetch request has been created successfully.",
  "opID": "266***-***-****-89eb-****",
  "status": true
}

Prefetch Requests

get

This setting is available in small, large, VOD and dynamic(aksela) resource types.

Path parameters
organization_uuidstringRequiredExample: ****-*****-****-****
resource_uuidstringRequiredExample: ****-*****-****-*****
Query parameters
pageintegerRequiredExample: 1
limitintegerRequiredExample: 10
opIDstringOptionalExample: ***-***-***-****
Responses
200

Successfully retrieved prefetch requests

application/json
statusbooleanRequiredExample: true
get/api/v1/cdn/{organization_uuid}/job/{resource_uuid}/prefetch
GET /api/v1/cdn/{organization_uuid}/job/{resource_uuid}/prefetch?page=1&limit=10 HTTP/1.1
Host: cloud.medianova.com
Accept: */*
200

Successfully retrieved prefetch requests

{
  "status": true,
  "data": {
    "page": 1,
    "total": 1,
    "limit": 10,
    "search": "",
    "requests": [
      {
        "completedAt": "2023-12-15T12:24:44.715Z",
        "message": "The warmup operation has been successfully.",
        "status": 1,
        "url": "test.mncdn.org/test",
        "warmupID": "****-*****-*****-****"
      }
    ]
  }
}

Last updated

Was this helpful?